import * as Iceform from '@modal-sh/iceform-next';
import { noteCollection } from '@/handlers/note';

// this serves as an ID to associate the action URL to the API URL
const RESOURCE_BASE_PATH = '/api/notes';

const handler = Iceform.action.wrapApiHandler({
	fn: noteCollection({
		basePath: RESOURCE_BASE_PATH,
	}),
});

const config = Iceform.action.getApiConfig();

export {
	config,
	handler as default,
};
